Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.binding.xml
Class UDA10DeviceDescriptorBinderSAXImpl.DeviceHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.teleal.common.xml.SAXParser.Handler<I>
              org.teleal.cling.binding.xml.UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<MutableDeviceDescriptor>
                  org.teleal.cling.binding.xml.UDA10DeviceDescriptorBinderSAXImpl.DeviceHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

Enclosing class:
  UDA10DeviceDescriptorBinderSAXImpl

    protected static class UDA10DeviceDescriptorBinderSAXImpl.DeviceHandler

extends UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<MutableDeviceDescriptor>

Field Summary
`static ELEMENT` | `EL`

Fields inherited from class org.teleal.common.xml.SAXParser.Handler
`characters, instance, parent, parser`

Constructor Summary
`UDA10DeviceDescriptorBinderSAXImpl.DeviceHandler(MutableDeviceDescriptor instance, UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler parent)`

Method Summary
`void` | `endElement(ELEMENT element)`
`boolean` | `isLastElement(ELEMENT element)`
`void` | `startElement(ELEMENT element, Attributes attributes)`

Methods inherited from class org.teleal.cling.binding.xml.UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler
`endElement, isLastElement, startElement`

Methods inherited from class org.teleal.common.xml.SAXParser.Handler
`characters, getCharacters, getInstance, getParent, getParser, switchToParent`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EL

    public static final ELEMENT EL

Constructor Detail

### UDA10DeviceDescriptorBinderSAXImpl.DeviceHandler

    public UDA10DeviceDescriptorBinderSAXImpl.DeviceHandler(MutableDeviceDescriptor instance,
                                                            UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler parent)

Method Detail

### startElement

    public void startElement(ELEMENT element,
                             Attributes attributes)
                      throws SAXException

  Overrides:
    `startElement` in class `UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<MutableDeviceDescriptor>`
  Throws:
    `SAXException`

### endElement

    public void endElement(ELEMENT element)
                    throws SAXException

  Overrides:
    `endElement` in class `UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<MutableDeviceDescriptor>`
  Throws:
    `SAXException`

### isLastElement

    public boolean isLastElement(ELEMENT element)

  Overrides:
    `isLastElement` in class `UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<MutableDeviceDescriptor>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.